Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel_classic.material.old
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel_classic.material.old	(revision 2451)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel_classic.material.old	(revision 2451)
@@ -0,0 +1,90 @@
+
+
+
+material tire1
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{			
+			
+			vertex_program_ref bumpmappedVS
+        	{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto world_IT inverse_transpose_world_matrix		    
+        	} 
+			fragment_program_ref bumpmappedPS
+			{ 
+				param_named_auto lightPosition light_position 0 
+				param_named_auto world_IT inverse_transpose_world_matrix
+				param_named ambientColor float4 0.1, 0.1, 0.1 1
+				param_named diffuseColor float4 0.8, 0.8, 0.8 1
+				param_named specularColor float4 0.6, 0.6, 0.6 1
+				param_named shininess float 80
+			} 
+			
+			texture_unit
+			{
+				texture tire.tga
+			}
+			
+			texture_unit
+			{
+				texture tirenormal.dds
+			}
+		}
+	}
+}
+material wheel
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+		{
+			RenderTechnique ColorCubeMap
+			{
+				update_interval		1
+				distance_calc false
+				face_angle_calc false
+				update_all_face		false		
+			}
+			
+			
+		 }
+	  vertex_program_ref GameTools/CubeMap/VertexPrograms/LocalizedVS
+        	{       
+           	 param_named_auto worldViewProj worldviewproj_matrix 
+    	   	 param_named_auto world world_matrix
+			 param_named_auto worldIT inverse_transpose_world_matrix
+	    
+        	} 
+		fragment_program_ref 	GameTools/CubeMap/FragmentPrograms/LocalizedMetalPS
+         	{ 
+			param_named_auto cameraPos camera_position
+	    //param_named n float3 0.142 0.124 0.158
+	    //param_named k float3 4.52  3.33 2.32
+	    param_named F0 float3 0.97 0.95 0.9
+	    param_named_auto lightPosition light_position 0 
+			
+	 } 
+		
+	 //Cube map for reflections and refractions	
+	 texture_unit
+	 {
+	   cubic_texture cubemap.jpg combinedUVW
+	   tex_address_mode clamp
+	   colour_op replace
+	 }
+
+	
+
+		}
+	}
+}
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car.material.old
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car.material.old	(revision 2451)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car.material.old	(revision 2451)
@@ -0,0 +1,589 @@
+
+vertex_program LocalizedVS hlsl
+{
+	source CarReflections.hlsl
+	entry_point LocalizedVS
+	target vs_2_0 
+} 
+
+fragment_program MetallicReflector hlsl
+{
+	source CarReflections.hlsl
+	entry_point LocalizedMetalPS
+	target ps_3_0
+}
+
+material body1
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{
+			
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				RenderTechnique DistanceCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false		
+				}
+				
+			
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref MetallicReflector
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named F0 float3 1.0 0.8 0.7
+				param_named phongColor float3 0.5 0.0 0.0
+				param_named_auto lightPosition light_position 0 
+				param_named lastCenter float3 0 0 0
+				param_named reflectivity float 0.16	
+				//param_named reflectivity float 1	
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}		
+		}
+	}
+}
+material windscreen1
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{			
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				RenderTechnique DistanceCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false		
+				}
+				//RenderTechnique CausticCaster
+				//{
+				//	update_all_face		false
+				//	photonmap_resolution	128
+				//}
+				
+			
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref MetallicReflector
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named F0 float3 1.0 1.0 1.0
+				param_named phongColor float3 0.02 0.01 0.03
+				param_named_auto lightPosition light_position 0 
+				param_named lastCenter float3 0 0 0
+				param_named reflectivity float 0.15	
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}		
+		}
+	}
+}
+
+vertex_program DiffuseVS hlsl
+{
+	source DiffuseBump.hlsl
+	entry_point DiffuseVS
+	target vs_2_0 
+} 
+
+fragment_program DiffusePS hlsl
+{
+	source DiffuseBump.hlsl
+	entry_point DiffusePS
+	target ps_3_0
+}
+
+material canvas1
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{			
+			
+	      	IllumTechniques
+			{
+				RenderTechnique ReducedColorCubeMap
+				{
+					resolution		256
+					reduced_resolution	8
+					
+					update_interval		1
+					texture_unit_id		0
+					distance_calc true 2.0
+					face_angle_calc true 2.0
+					update_all_face		false
+				}
+				RenderTechnique DistanceCubeMap
+				{
+					update_interval		3
+					texture_unit_id		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}		
+				
+			}
+			vertex_program_ref DiffuseVS
+			{       
+				param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				 param_named_auto world_I inverse_world_matrix       
+			} 
+						
+			fragment_program_ref 	DiffusePS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named REDUCED_CUBEMAP_SIZE int 8
+				param_named lastCenter float3 0 0 0	
+				param_named_auto lightPosition light_position 0  				
+			} 
+			
+			
+			
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture 
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+			cubic_texture 
+			tex_address_mode clamp
+			colour_op replace
+			}
+			
+			texture_unit
+			{
+			  texture canvas.tga
+			}
+			
+			texture_unit
+			{
+			  texture canvasnormal.dds
+			}
+
+		
+		}
+	}
+}
+
+
+material lambert3
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{
+			//IllumTechniques
+			//{
+			//	RenderTechnique ColorCubeMap
+			//	{
+			//		update_interval		1
+			//		distance_calc false
+			//		face_angle_calc false
+			//		update_all_face		false
+			//	}			
+			//
+			//}
+			
+			//Cube map for reflections and refractions	
+			//texture_unit
+			//{
+			//	colour_op modulate
+			//}
+
+			ambient 0 0 0 1
+			diffuse 0 0 0 1
+			specular 0 0 0 1
+		}
+	}
+}
+material syigetelogumi
+{
+receive_shadows off
+	technique
+	{
+		pass
+		{
+			ambient 0 0 0 1
+			diffuse 0 0 0 1
+			specular 0.5 0.5 0.5 20
+			emissive 0 0 0
+		}
+	}
+}
+
+fragment_program CarMirrorPS hlsl
+{
+	source CarReflections.hlsl
+	entry_point MirrorPS
+	target ps_3_0
+}
+
+material mirror
+{
+receive_shadows off
+	technique
+	{
+		pass
+		{			
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				RenderTechnique DistanceCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false		
+				}
+				
+			
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref CarMirrorPS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named lastCenter float3 0 0 0
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}		
+		}
+	}
+}
+
+fragment_program LampGlassPS hlsl
+{
+	source CarReflections.hlsl
+	entry_point LampGlassPS
+	target ps_3_0
+}
+
+material elsolampabura
+{
+	
+	//transparency_casts_shadows on
+
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				RenderTechnique DistanceCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false		
+				}
+				
+			
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		  param_named_auto worldViewProj worldviewproj_matrix 
+    	   		  param_named_auto world world_matrix
+			  param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref LampGlassPS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named lastCenter float3 0 0 0
+				param_named glasColor float4 0.9 0.85 0.95 0.65
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			Cube map of distances
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}		
+
+			scene_blend alpha_blend
+			depth_write off
+
+			ambient 1 1 1 0.5
+			diffuse 1 1 1 0.5
+			specular 0 0 0 0
+			emissive 0 0 0
+
+			
+		}
+	}
+}
+material elsolampabelul
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			ambient 0.786016 0.968 0.878464 1
+			diffuse 0.786016 0.968 0.878464 1
+			specular 0 0 0 0
+			emissive 0 0 0
+		}
+	}
+}
+
+material hatsolampa
+{
+receive_shadows off
+transparency_casts_shadows on
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				RenderTechnique DistanceCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false		
+				}
+				
+			
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref LampGlassPS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named lastCenter float3 0 0 0
+				param_named glasColor float4 0.9 0.1 0.0 0.7
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}		
+
+			//scene_blend alpha_blend
+			//depth_write off
+		}
+	}
+}
+material hatso_lampa_belso
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			ambient 0.1 0.1 0.1 1
+			diffuse 1 1 1 1
+			specular 0 0 0 0
+			emissive 0.2 0.2 0.2
+
+			//texture_unit
+			//{
+			//	texture lampahatul.jpg
+			//}
+		}
+	}
+}
+
+material index
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				RenderTechnique DistanceCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false		
+				}
+				
+			
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref MetallicReflector
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named F0 float3 2.0 1.0 0.2
+				param_named_auto lightPosition light_position 0 
+				param_named lastCenter float3 0 0 0
+				param_named reflectivity float 0.6	
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}		
+		}
+	}
+}
+
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle_noeffects.material
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle_noeffects.material	(revision 2451)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle_noeffects.material	(revision 2451)
@@ -0,0 +1,260 @@
+vertex_program BottleVS hlsl
+{
+	source bottle.hlsl
+	entry_point BottleVS
+	target vs_2_0 
+} 
+
+fragment_program BottlePS hlsl
+{
+	source bottle.hlsl
+	entry_point BottlePS
+	target ps_3_0
+}
+
+fragment_program BottlePhotonMapPS hlsl
+{
+	source bottle.hlsl
+	entry_point BottlePhotonMapPS
+	target ps_3_0
+}
+
+material bottle
+{
+
+transparency_casts_shadows on
+
+	technique
+	{
+		pass
+		{
+			//scene_blend alpha_blend
+			vertex_program_ref BottleVS
+			{       
+					param_named_auto worldViewProj worldviewproj_matrix 
+    				param_named_auto world world_matrix 
+				param_named_auto worldIT inverse_transpose_world_matrix
+			} 
+			fragment_program_ref BottlePS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named_auto lightPosition light_position 0
+				param_named color float3 0.65 0.4 0.2
+			} 
+				
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+			}
+
+
+			
+		}
+	}
+}
+
+
+material bottle2
+{
+
+transparency_casts_shadows on
+	technique
+	{
+		pass
+		{
+			scene_blend zero src_colour
+			vertex_program_ref BottleVS
+			{       
+					param_named_auto worldViewProj worldviewproj_matrix 
+    				param_named_auto world world_matrix 
+				param_named_auto worldIT inverse_transpose_world_matrix
+			} 
+			fragment_program_ref BottlePS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named_auto lightPosition light_position 0
+				param_named color float3 0.2 0.65 0.2
+			} 
+				
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+			}
+
+
+			
+		}
+	}
+}
+
+
+material BottlePhotonMap
+{ 
+   technique 
+   { 
+
+   	pass 
+      { 
+		 vertex_program_ref BottleVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+    	    param_named_auto world world_matrix
+			param_named_auto worldIT inverse_transpose_world_matrix    
+         } 
+		 fragment_program_ref  BottlePhotonMapPS
+        { 
+			param_named_auto cameraPos camera_position
+			param_named lastCenter float3 0 0 0
+			
+         }
+         
+         //Cube map for reflections and refractions	
+		texture_unit
+		{
+			cubic_texture 
+			filtering none
+			//tex_address_mode clamp			
+		}	
+
+       }
+    }
+}
+
+material Bottle2PhotonMap
+{ 
+   technique 
+   { 
+
+   	pass 
+      { 
+		 vertex_program_ref BottleVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+    	    param_named_auto world world_matrix
+			param_named_auto worldIT inverse_transpose_world_matrix    
+         } 
+		 fragment_program_ref  BottlePhotonMapPS
+        { 
+			param_named_auto cameraPos camera_position
+			param_named lastCenter float3 0 0 0
+			
+         }
+         
+         //Cube map for reflections and refractions	
+		texture_unit
+		{
+			cubic_texture 
+			filtering none
+			//tex_address_mode clamp			
+		}	
+
+       }
+    }
+}
+
+material BottleCauMap
+{ 
+   technique 
+   { 
+   	pass 
+      
+		cull_hardware none
+		cull_software none
+		lighting off
+		scene_blend add
+		scene_blend src_alpha one
+		depth_write off
+		point_sprites on
+
+		vertex_program_ref GameTools/CauVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+            param_named_auto worldView worldview_matrix
+			param_named_auto Proj projection_matrix
+			param_named_auto resolution viewport_width
+			param_named CauSpriteSize float 11.0	    
+         } 
+		fragment_program_ref  GameTools/CauPS
+        { 
+			param_named CauSpriteIntens float 0.11
+			param_named color float3 0.65 0.4 0.2
+		 }
+         
+	    texture_unit
+		{
+			vertex_texture true
+			texture flare.png
+		}
+		texture_unit
+		{
+			texture PowerOfPhotonHitTexel.dds
+		}
+
+       }
+    }
+}
+
+material Bottle2CauMap
+{ 
+   technique 
+   { 
+   	pass 
+      
+		cull_hardware none
+		cull_software none
+		lighting off
+		scene_blend add
+		scene_blend src_alpha one
+		depth_write off
+		point_sprites on
+
+		vertex_program_ref GameTools/CauVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+            param_named_auto worldView worldview_matrix
+			param_named_auto Proj projection_matrix
+			param_named_auto resolution viewport_width
+			param_named CauSpriteSize float 11.0	    
+         } 
+		fragment_program_ref  GameTools/CauPS
+        { 
+			param_named CauSpriteIntens float 0.10
+			param_named color float3 0.2 0.65 0.2
+		 }
+         
+	    texture_unit
+		{
+			vertex_texture true
+			texture flare.png
+		}
+		texture_unit
+		{
+			texture PowerOfPhotonHitTexel.dds
+		}
+
+       }
+    }
+}
+
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car_classic.old
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car_classic.old	(revision 2451)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car_classic.old	(revision 2451)
@@ -0,0 +1,469 @@
+
+vertex_program LocalizedVS hlsl
+{
+	source CarReflections.hlsl
+	entry_point LocalizedVS
+	target vs_2_0 
+} 
+
+fragment_program MetallicReflector hlsl
+{
+	source CarReflections.hlsl
+	entry_point LocalizedMetalPS
+	target ps_3_0
+}
+
+material body1
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{
+			
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+			
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref MetallicReflector
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named F0 float3 1.0 0.8 0.7
+				param_named phongColor float3 0.5 0.0 0.0
+				param_named_auto lightPosition light_position 0 
+				param_named lastCenter float3 0 0 0
+				param_named reflectivity float 0.16	
+				//param_named reflectivity float 1	
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}
+	
+		}
+	}
+}
+material windscreen1
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{			
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}	
+				
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref MetallicReflector
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named F0 float3 1.0 1.0 1.0
+				param_named phongColor float3 0.02 0.01 0.03
+				param_named_auto lightPosition light_position 0 
+				param_named lastCenter float3 0 0 0
+				param_named reflectivity float 0.15	
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			
+		}
+	}
+}
+
+vertex_program DiffuseVS hlsl
+{
+	source DiffuseBump.hlsl
+	entry_point DiffuseVS
+	target vs_2_0 
+} 
+
+fragment_program DiffusePS hlsl
+{
+	source DiffuseBump.hlsl
+	entry_point DiffusePS
+	target ps_3_0
+}
+
+material canvas1
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{		      	
+			vertex_program_ref DiffuseVS
+			{       
+				param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				 param_named_auto world_I inverse_world_matrix       
+			} 
+						
+			fragment_program_ref 	DiffusePS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named REDUCED_CUBEMAP_SIZE int 8
+				param_named lastCenter float3 0 0 0	
+				param_named_auto lightPosition light_position 0  				
+			} 
+			
+			
+			
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture 
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+			cubic_texture 
+			tex_address_mode clamp
+			colour_op replace
+			}
+			
+			texture_unit
+			{
+			  texture canvas.tga
+			}
+			
+			texture_unit
+			{
+			  texture canvasnormal.dds
+			}
+
+		
+		}
+	}
+}
+
+
+material lambert3
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{
+			
+
+			ambient 0 0 0 1
+			diffuse 0 0 0 1
+			specular 0 0 0 1
+		}
+	}
+}
+material syigetelogumi
+{
+receive_shadows off
+	technique
+	{
+		pass
+		{
+			ambient 0 0 0 1
+			diffuse 0 0 0 1
+			specular 0.5 0.5 0.5 20
+			emissive 0 0 0
+		}
+	}
+}
+
+fragment_program CarMirrorPS hlsl
+{
+	source CarReflections.hlsl
+	entry_point MirrorPS
+	target ps_3_0
+}
+
+material mirror
+{
+receive_shadows off
+	technique
+	{
+		pass
+		{			
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				
+			
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref CarMirrorPS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named lastCenter float3 0 0 0
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			
+		}
+	}
+}
+
+fragment_program LampGlassPS hlsl
+{
+	source CarReflections.hlsl
+	entry_point LampGlassPS
+	target ps_3_0
+}
+
+material elsolampabura
+{
+	
+	//transparency_casts_shadows on
+
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				
+				
+			
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		  param_named_auto worldViewProj worldviewproj_matrix 
+    	   		  param_named_auto world world_matrix
+			  param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref LampGlassPS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named lastCenter float3 0 0 0
+				param_named glasColor float4 0.9 0.85 0.95 0.65
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			
+
+			scene_blend alpha_blend
+			depth_write off
+
+			ambient 1 1 1 0.5
+			diffuse 1 1 1 0.5
+			specular 0 0 0 0
+			emissive 0 0 0
+
+			
+		}
+	}
+}
+material elsolampabelul
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			ambient 0.786016 0.968 0.878464 1
+			diffuse 0.786016 0.968 0.878464 1
+			specular 0 0 0 0
+			emissive 0 0 0
+		}
+	}
+}
+
+material hatsolampa
+{
+receive_shadows off
+transparency_casts_shadows on
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				
+				
+			
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref LampGlassPS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named lastCenter float3 0 0 0
+				param_named glasColor float4 0.9 0.1 0.0 0.7
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}		
+
+			//scene_blend alpha_blend
+			//depth_write off
+		}
+	}
+}
+material hatso_lampa_belso
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			ambient 0.1 0.1 0.1 1
+			diffuse 1 1 1 1
+			specular 0 0 0 0
+			emissive 0.2 0.2 0.2
+
+			//texture_unit
+			//{
+			//	texture lampahatul.jpg
+			//}
+		}
+	}
+}
+
+material index
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				
+			}
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref MetallicReflector
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named F0 float3 2.0 1.0 0.2
+				param_named_auto lightPosition light_position 0 
+				param_named lastCenter float3 0 0 0
+				param_named reflectivity float 0.6	
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}
+	
+		}
+	}
+}
+
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car_noeffects.material
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car_noeffects.material	(revision 2451)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car_noeffects.material	(revision 2451)
@@ -0,0 +1,410 @@
+
+vertex_program LocalizedVS hlsl
+{
+	source CarReflections.hlsl
+	entry_point LocalizedVS
+	target vs_2_0 
+} 
+
+fragment_program MetallicReflector hlsl
+{
+	source CarReflections.hlsl
+	entry_point LocalizedMetalPS
+	target ps_3_0
+}
+
+material body1
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{
+			
+			vertex_program_ref LocalizedVS
+        	{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        	} 
+			fragment_program_ref MetallicReflector
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named F0 float3 1.0 0.8 0.7
+				param_named phongColor float3 0.5 0.0 0.0
+				param_named_auto lightPosition light_position 0 
+				param_named lastCenter float3 0 0 0
+				param_named reflectivity float 0.16	
+				//param_named reflectivity float 1	
+			}			
+		}
+	}
+}
+material windscreen1
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{			
+			vertex_program_ref LocalizedVS
+        	{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        	} 
+			fragment_program_ref MetallicReflector
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named F0 float3 1.0 1.0 1.0
+				param_named phongColor float3 0.02 0.01 0.03
+				param_named_auto lightPosition light_position 0 
+				param_named lastCenter float3 0 0 0
+				param_named reflectivity float 0.15	
+			}			
+		}
+	}
+}
+
+vertex_program DiffuseVS hlsl
+{
+	source DiffuseBump.hlsl
+	entry_point DiffuseVS
+	target vs_2_0 
+} 
+
+fragment_program DiffusePS hlsl
+{
+	source DiffuseBump.hlsl
+	entry_point DiffusePS
+	target ps_3_0
+}
+
+material canvas1
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{		      
+			vertex_program_ref DiffuseVS
+			{       
+				param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				 param_named_auto world_I inverse_world_matrix       
+			} 
+						
+			fragment_program_ref 	DiffusePS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named REDUCED_CUBEMAP_SIZE int 8
+				param_named lastCenter float3 0 0 0	
+				param_named_auto lightPosition light_position 0  				
+			} 			
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture 
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+			cubic_texture 
+			tex_address_mode clamp
+			colour_op replace
+			}
+			
+			texture_unit
+			{
+			  texture canvas.tga
+			}
+			
+			texture_unit
+			{
+			  texture canvasnormal.dds
+			}
+
+		
+		}
+	}
+}
+material lambert3
+{
+	receive_shadows off
+	technique
+	{
+		pass
+		{
+			//IllumTechniques
+			//{
+			//	RenderTechnique ColorCubeMap
+			//	{
+			//		update_interval		1
+			//		distance_calc false
+			//		face_angle_calc false
+			//		update_all_face		false
+			//	}			
+			//
+			//}
+			
+			//Cube map for reflections and refractions	
+			//texture_unit
+			//{
+			//	colour_op modulate
+			//}
+
+			ambient 0 0 0 1
+			diffuse 0 0 0 1
+			specular 0 0 0 1
+		}
+	}
+}
+material syigetelogumi
+{
+receive_shadows off
+	technique
+	{
+		pass
+		{
+			ambient 0 0 0 1
+			diffuse 0 0 0 1
+			specular 0.5 0.5 0.5 20
+			emissive 0 0 0
+		}
+	}
+}
+
+fragment_program CarMirrorPS hlsl
+{
+	source CarReflections.hlsl
+	entry_point MirrorPS
+	target ps_3_0
+}
+
+material mirror
+{
+receive_shadows off
+	technique
+	{
+		pass
+		{			
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref CarMirrorPS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named lastCenter float3 0 0 0
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}		
+		}
+	}
+}
+
+fragment_program LampGlassPS hlsl
+{
+	source CarReflections.hlsl
+	entry_point LampGlassPS
+	target ps_3_0
+}
+
+material elsolampabura
+{
+	
+	//transparency_casts_shadows on
+
+	technique
+	{
+		pass
+		{
+			vertex_program_ref LocalizedVS
+        		{       
+           		  param_named_auto worldViewProj worldviewproj_matrix 
+    	   		  param_named_auto world world_matrix
+			  param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref LampGlassPS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named lastCenter float3 0 0 0
+				param_named glasColor float4 0.9 0.85 0.95 0.65
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			Cube map of distances
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}		
+
+			scene_blend alpha_blend
+			depth_write off
+
+			ambient 1 1 1 0.5
+			diffuse 1 1 1 0.5
+			specular 0 0 0 0
+			emissive 0 0 0
+
+			
+		}
+	}
+}
+material elsolampabelul
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			ambient 0.786016 0.968 0.878464 1
+			diffuse 0.786016 0.968 0.878464 1
+			specular 0 0 0 0
+			emissive 0 0 0
+		}
+	}
+}
+
+material hatsolampa
+{
+receive_shadows off
+transparency_casts_shadows on
+	technique
+	{
+		pass
+		{
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref LampGlassPS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named lastCenter float3 0 0 0
+				param_named glasColor float4 0.9 0.1 0.0 0.7
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+				cubic_texture
+				tex_address_mode clamp
+				colour_op replace
+			}		
+
+			//scene_blend alpha_blend
+			//depth_write off
+		}
+	}
+}
+material hatso_lampa_belso
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			ambient 0.1 0.1 0.1 1
+			diffuse 1 1 1 1
+			specular 0 0 0 0
+			emissive 0.2 0.2 0.2
+
+			//texture_unit
+			//{
+			//	texture lampahatul.jpg
+			//}
+		}
+	}
+}
+
+material index
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			
+			vertex_program_ref LocalizedVS
+        		{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto worldI inverse_world_matrix
+		    
+        		} 
+			fragment_program_ref MetallicReflector
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named F0 float3 2.0 1.0 0.2
+				param_named_auto lightPosition light_position 0 
+				param_named lastCenter float3 0 0 0
+				param_named reflectivity float 0.6	
+			} 
+			
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+				cubic_texture cubemap.jpg combinedUVW
+				tex_address_mode clamp
+				colour_op replace
+			}		
+		}
+	}
+}
+
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel_noefffects.material
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel_noefffects.material	(revision 2451)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel_noefffects.material	(revision 2451)
@@ -0,0 +1,85 @@
+
+
+
+material tire1
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{			
+			
+			vertex_program_ref bumpmappedVS
+        	{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto world_IT inverse_transpose_world_matrix		    
+        	} 
+			fragment_program_ref bumpmappedPS
+			{ 
+				param_named_auto lightPosition light_position 0 
+				param_named_auto world_IT inverse_transpose_world_matrix
+				param_named ambientColor float4 0.1, 0.1, 0.1 1
+				param_named diffuseColor float4 0.8, 0.8, 0.8 1
+				param_named specularColor float4 0.6, 0.6, 0.6 1
+				param_named shininess float 80
+			} 
+			
+			texture_unit
+			{
+				texture tire.tga
+			}
+			
+			texture_unit
+			{
+				texture tirenormal.dds
+			}
+		}
+	}
+}
+material wheel
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+		
+	  vertex_program_ref GameTools/CubeMap/VertexPrograms/LocalizedVS
+        	{       
+           	 param_named_auto worldViewProj worldviewproj_matrix 
+    	   	 param_named_auto world world_matrix
+			 param_named_auto worldIT inverse_transpose_world_matrix
+	    
+        	} 
+		fragment_program_ref 	GameTools/CubeMap/FragmentPrograms/LocalizedMetalPS
+         	{ 
+			param_named_auto cameraPos camera_position
+	    //param_named n float3 0.142 0.124 0.158
+	    //param_named k float3 4.52  3.33 2.32
+	    param_named F0 float3 0.97 0.95 0.9
+	    param_named_auto lightPosition light_position 0 
+			
+	 } 
+		
+	 //Cube map for reflections and refractions	
+	 texture_unit
+	 {
+	   cubic_texture cubemap.jpg combinedUVW
+	   tex_address_mode clamp
+	   colour_op replace
+	 }
+
+	//Cube map of distances
+	 texture_unit
+	 {
+	   cubic_texture cubemap.jpg combinedUVW
+	   tex_address_mode clamp
+	   colour_op replace
+	 }
+
+		}
+	}
+}
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle.material.old
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle.material.old	(revision 2451)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle.material.old	(revision 2451)
@@ -0,0 +1,314 @@
+vertex_program BottleVS hlsl
+{
+	source bottle.hlsl
+	entry_point BottleVS
+	target vs_2_0 
+} 
+
+fragment_program BottlePS hlsl
+{
+	source bottle.hlsl
+	entry_point BottlePS
+	target ps_3_0
+}
+
+fragment_program BottlePhotonMapPS hlsl
+{
+	source bottle.hlsl
+	entry_point BottlePhotonMapPS
+	target ps_3_0
+}
+
+material bottle
+{
+
+transparency_casts_shadows on
+
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				RenderTechnique DistanceCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				RenderTechnique CausticCaster
+				{
+					attenuation 5.0
+					update_all_face		false
+					photonmap_resolution	128
+					photon_map_material BottlePhotonMap
+					caustic_map_material BottleCauMap
+				}
+				
+			}
+	      
+	      
+			vertex_program_ref BottleVS
+			{       
+					param_named_auto worldViewProj worldviewproj_matrix 
+    				param_named_auto world world_matrix 
+				param_named_auto worldI inverse_world_matrix
+			} 
+			fragment_program_ref BottlePS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named_auto lightPosition light_position 0
+				param_named color float3 0.65 0.4 0.2
+			} 
+				
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+			}
+
+
+			
+		}
+	}
+}
+
+
+material bottle2
+{
+
+transparency_casts_shadows on
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				RenderTechnique DistanceCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				RenderTechnique CausticCaster
+				{
+					attenuation 8.0
+					update_all_face		false
+					photonmap_resolution	128
+					photon_map_material Bottle2PhotonMap
+					caustic_map_material Bottle2CauMap
+				}
+				
+			}
+	      
+	      
+			vertex_program_ref BottleVS
+			{       
+					param_named_auto worldViewProj worldviewproj_matrix 
+    				param_named_auto world world_matrix 
+				param_named_auto worldI inverse_world_matrix
+			} 
+			fragment_program_ref BottlePS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named_auto lightPosition light_position 0
+				param_named color float3 0.2 0.65 0.2
+			} 
+				
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+			}
+
+			//Cube map of distances
+			texture_unit
+			{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+			}
+
+
+			
+		}
+	}
+}
+
+
+material BottlePhotonMap
+{ 
+   technique 
+   { 
+
+   	pass 
+      { 
+		 vertex_program_ref BottleVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+    	    param_named_auto world world_matrix
+			param_named_auto worldIT inverse_transpose_world_matrix    
+         } 
+		 fragment_program_ref  BottlePhotonMapPS
+        { 
+			param_named_auto cameraPos camera_position
+			param_named lastCenter float3 0 0 0
+			
+         }
+         
+         //Cube map for reflections and refractions	
+		texture_unit
+		{
+			cubic_texture 
+			filtering none
+			//tex_address_mode clamp			
+		}	
+
+       }
+    }
+}
+
+material Bottle2PhotonMap
+{ 
+   technique 
+   { 
+
+   	pass 
+      { 
+		 vertex_program_ref BottleVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+    	    param_named_auto world world_matrix
+			param_named_auto worldIT inverse_transpose_world_matrix    
+         } 
+		 fragment_program_ref  BottlePhotonMapPS
+        { 
+			param_named_auto cameraPos camera_position
+			param_named lastCenter float3 0 0 0
+			
+         }
+         
+         //Cube map for reflections and refractions	
+		texture_unit
+		{
+			cubic_texture 
+			filtering none
+			//tex_address_mode clamp			
+		}	
+
+       }
+    }
+}
+
+material BottleCauMap
+{ 
+   technique 
+   { 
+   	pass 
+      
+		cull_hardware none
+		cull_software none
+		lighting off
+		scene_blend add
+		scene_blend src_alpha one
+		depth_write off
+		point_sprites on
+
+		vertex_program_ref GameTools/CauVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+            param_named_auto worldView worldview_matrix
+			param_named_auto Proj projection_matrix
+			param_named_auto resolution viewport_width
+			param_named CauSpriteSize float 11.0	    
+         } 
+		fragment_program_ref  GameTools/CauPS
+        { 
+			param_named CauSpriteIntens float 0.11
+			param_named color float3 0.65 0.4 0.2
+		 }
+         
+	    texture_unit
+		{
+			vertex_texture true
+			texture flare.png
+		}
+		texture_unit
+		{
+			texture PowerOfPhotonHitTexel.dds
+		}
+
+       }
+    }
+}
+
+material Bottle2CauMap
+{ 
+   technique 
+   { 
+   	pass 
+      
+		cull_hardware none
+		cull_software none
+		lighting off
+		scene_blend add
+		scene_blend src_alpha one
+		depth_write off
+		point_sprites on
+
+		vertex_program_ref GameTools/CauVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+            param_named_auto worldView worldview_matrix
+			param_named_auto Proj projection_matrix
+			param_named_auto resolution viewport_width
+			param_named CauSpriteSize float 11.0	    
+         } 
+		fragment_program_ref  GameTools/CauPS
+        { 
+			param_named CauSpriteIntens float 0.10
+			param_named color float3 0.2 0.65 0.2
+		 }
+         
+	    texture_unit
+		{
+			vertex_texture true
+			texture flare.png
+		}
+		texture_unit
+		{
+			texture PowerOfPhotonHitTexel.dds
+		}
+
+       }
+    }
+}
+
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle_classic.material.old
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle_classic.material.old	(revision 2451)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle_classic.material.old	(revision 2451)
@@ -0,0 +1,114 @@
+vertex_program BottleVS hlsl
+{
+	source bottle.hlsl
+	entry_point BottleVS
+	target vs_2_0 
+} 
+
+fragment_program BottlePS hlsl
+{
+	source bottle.hlsl
+	entry_point BottlePS
+	target ps_3_0
+}
+
+fragment_program BottlePhotonMapPS hlsl
+{
+	source bottle.hlsl
+	entry_point BottlePhotonMapPS
+	target ps_3_0
+}
+
+material bottle
+{
+
+transparency_casts_shadows on
+
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}				
+			}
+	      
+	      
+			vertex_program_ref BottleVS
+			{       
+					param_named_auto worldViewProj worldviewproj_matrix 
+    				param_named_auto world world_matrix 
+				param_named_auto worldI inverse_world_matrix
+			} 
+			fragment_program_ref BottlePS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named_auto lightPosition light_position 0
+				param_named color float3 0.65 0.4 0.2
+			} 
+				
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+			}
+			
+		}
+	}
+}
+
+
+material bottle2
+{
+
+transparency_casts_shadows on
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+			{
+				RenderTechnique ColorCubeMap
+				{
+					update_interval		1
+					distance_calc false
+					face_angle_calc false
+					update_all_face		false
+				}
+				
+			}
+	      
+	      
+			vertex_program_ref BottleVS
+			{       
+					param_named_auto worldViewProj worldviewproj_matrix 
+    				param_named_auto world world_matrix 
+				param_named_auto worldI inverse_world_matrix
+			} 
+			fragment_program_ref BottlePS
+			{ 
+				param_named_auto cameraPos camera_position
+				param_named_auto lightPosition light_position 0
+				param_named color float3 0.2 0.65 0.2
+			} 
+				
+			//Cube map for reflections and refractions	
+			texture_unit
+			{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+			}
+			
+		}
+	}
+}
+
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/scene1.material
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/scene1.material	(revision 1049)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/scene1.material	(revision 2451)
@@ -16,8 +16,8 @@
 					
 				}
-				RenderTechnique CausticReciever
-				{
-				 max_caster_count	10	
-				}
+				//RenderTechnique CausticReciever
+				//{
+				// max_caster_count	10	
+				//}
 			}
 			
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel.material.old
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel.material.old	(revision 2451)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel.material.old	(revision 2451)
@@ -0,0 +1,109 @@
+
+
+
+material tire1
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{			
+			
+			vertex_program_ref bumpmappedVS
+        	{       
+           		param_named_auto worldViewProj worldviewproj_matrix 
+    	   		param_named_auto world world_matrix
+				param_named_auto world_IT inverse_transpose_world_matrix		    
+        	} 
+			fragment_program_ref bumpmappedPS
+			{ 
+				param_named_auto lightPosition light_position 0 
+				param_named_auto world_IT inverse_transpose_world_matrix
+				param_named ambientColor float4 0.1, 0.1, 0.1 1
+				param_named diffuseColor float4 0.8, 0.8, 0.8 1
+				param_named specularColor float4 0.6, 0.6, 0.6 1
+				param_named shininess float 80
+			} 
+			
+			texture_unit
+			{
+				texture tire.tga
+			}
+			
+			texture_unit
+			{
+				texture tirenormal.dds
+			}
+		}
+	}
+}
+material wheel
+{
+receive_shadows off
+
+	technique
+	{
+		pass
+		{
+			IllumTechniques
+		{
+			RenderTechnique ColorCubeMap
+			{
+				update_interval		1
+				distance_calc false
+				face_angle_calc false
+				update_all_face		false		
+			}
+			RenderTechnique DistanceCubeMap
+			{
+				update_interval		1
+				distance_calc false
+				face_angle_calc false
+				update_all_face		false		
+			}
+			
+			RenderTechnique CausticCaster
+			{
+				attenuation	0.5
+				update_all_face		false
+				photonmap_resolution	128
+			}
+			
+		 }
+	  vertex_program_ref GameTools/CubeMap/VertexPrograms/LocalizedVS
+        	{       
+           	 param_named_auto worldViewProj worldviewproj_matrix 
+    	   	 param_named_auto world world_matrix
+			 param_named_auto worldIT inverse_transpose_world_matrix
+	    
+        	} 
+		fragment_program_ref 	GameTools/CubeMap/FragmentPrograms/LocalizedMetalPS
+         	{ 
+			param_named_auto cameraPos camera_position
+	    //param_named n float3 0.142 0.124 0.158
+	    //param_named k float3 4.52  3.33 2.32
+	    param_named F0 float3 0.97 0.95 0.9
+	    param_named_auto lightPosition light_position 0 
+			
+	 } 
+		
+	 //Cube map for reflections and refractions	
+	 texture_unit
+	 {
+	   cubic_texture cubemap.jpg combinedUVW
+	   tex_address_mode clamp
+	   colour_op replace
+	 }
+
+	//Cube map of distances
+	 texture_unit
+	 {
+	   cubic_texture cubemap.jpg combinedUVW
+	   tex_address_mode clamp
+	   colour_op replace
+	 }
+
+		}
+	}
+}
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel.material
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/wheel.material	(revision 1049)
+++ 	(revision )
@@ -1,109 +1,0 @@
-
-
-
-material tire1
-{
-receive_shadows off
-
-	technique
-	{
-		pass
-		{			
-			
-			vertex_program_ref bumpmappedVS
-        	{       
-           		param_named_auto worldViewProj worldviewproj_matrix 
-    	   		param_named_auto world world_matrix
-				param_named_auto world_IT inverse_transpose_world_matrix		    
-        	} 
-			fragment_program_ref bumpmappedPS
-			{ 
-				param_named_auto lightPosition light_position 0 
-				param_named_auto world_IT inverse_transpose_world_matrix
-				param_named ambientColor float4 0.1, 0.1, 0.1 1
-				param_named diffuseColor float4 0.8, 0.8, 0.8 1
-				param_named specularColor float4 0.6, 0.6, 0.6 1
-				param_named shininess float 80
-			} 
-			
-			texture_unit
-			{
-				texture tire.tga
-			}
-			
-			texture_unit
-			{
-				texture tirenormal.dds
-			}
-		}
-	}
-}
-material wheel
-{
-receive_shadows off
-
-	technique
-	{
-		pass
-		{
-			IllumTechniques
-		{
-			RenderTechnique ColorCubeMap
-			{
-				update_interval		1
-				distance_calc false
-				face_angle_calc false
-				update_all_face		false		
-			}
-			RenderTechnique DistanceCubeMap
-			{
-				update_interval		1
-				distance_calc false
-				face_angle_calc false
-				update_all_face		false		
-			}
-			
-			RenderTechnique CausticCaster
-			{
-				attenuation	0.5
-				update_all_face		false
-				photonmap_resolution	128
-			}
-			
-		 }
-	  vertex_program_ref GameTools/CubeMap/VertexPrograms/LocalizedVS
-        	{       
-           	 param_named_auto worldViewProj worldviewproj_matrix 
-    	   	 param_named_auto world world_matrix
-			 param_named_auto worldIT inverse_transpose_world_matrix
-	    
-        	} 
-		fragment_program_ref 	GameTools/CubeMap/FragmentPrograms/LocalizedMetalPS
-         	{ 
-			param_named_auto cameraPos camera_position
-	    //param_named n float3 0.142 0.124 0.158
-	    //param_named k float3 4.52  3.33 2.32
-	    param_named F0 float3 0.97 0.95 0.9
-	    param_named_auto lightPosition light_position 0 
-			
-	 } 
-		
-	 //Cube map for reflections and refractions	
-	 texture_unit
-	 {
-	   cubic_texture cubemap.jpg combinedUVW
-	   tex_address_mode clamp
-	   colour_op replace
-	 }
-
-	//Cube map of distances
-	 texture_unit
-	 {
-	   cubic_texture cubemap.jpg combinedUVW
-	   tex_address_mode clamp
-	   colour_op replace
-	 }
-
-		}
-	}
-}
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car.material
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/car.material	(revision 1049)
+++ 	(revision )
@@ -1,588 +1,0 @@
-
-vertex_program LocalizedVS hlsl
-{
-	source CarReflections.hlsl
-	entry_point LocalizedVS
-	target vs_2_0 
-} 
-
-fragment_program MetallicReflector hlsl
-{
-	source CarReflections.hlsl
-	entry_point LocalizedMetalPS
-	target ps_3_0
-}
-
-material body1
-{
-	receive_shadows off
-	technique
-	{
-		pass
-		{
-			
-			IllumTechniques
-			{
-				RenderTechnique ColorCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}
-				RenderTechnique DistanceCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false		
-				}
-				
-			
-			}
-			vertex_program_ref LocalizedVS
-        		{       
-           		param_named_auto worldViewProj worldviewproj_matrix 
-    	   		param_named_auto world world_matrix
-				param_named_auto worldIT inverse_transpose_world_matrix
-		    
-        		} 
-			fragment_program_ref MetallicReflector
-			{ 
-				param_named_auto cameraPos camera_position
-				param_named F0 float3 1.0 0.8 0.7
-				param_named phongColor float3 0.5 0.0 0.0
-				param_named_auto lightPosition light_position 0 
-				param_named lastCenter float3 0 0 0
-				param_named reflectivity float 0.16	
-				//param_named reflectivity float 1	
-			} 
-			
-			//Cube map for reflections and refractions	
-			texture_unit
-			{
-				cubic_texture cubemap.jpg combinedUVW
-				tex_address_mode clamp
-				colour_op replace
-			}
-
-			//Cube map of distances
-			texture_unit
-			{
-				cubic_texture cubemap.jpg combinedUVW
-				tex_address_mode clamp
-				colour_op replace
-			}		
-		}
-	}
-}
-material windscreen1
-{
-	receive_shadows off
-	technique
-	{
-		pass
-		{			
-			IllumTechniques
-			{
-				RenderTechnique ColorCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}
-				RenderTechnique DistanceCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false		
-				}
-				//RenderTechnique CausticCaster
-				//{
-				//	update_all_face		false
-				//	photonmap_resolution	128
-				//}
-				
-			
-			}
-			vertex_program_ref LocalizedVS
-        		{       
-           		param_named_auto worldViewProj worldviewproj_matrix 
-    	   		param_named_auto world world_matrix
-				param_named_auto worldIT inverse_transpose_world_matrix
-		    
-        		} 
-			fragment_program_ref MetallicReflector
-			{ 
-				param_named_auto cameraPos camera_position
-				param_named F0 float3 1.0 1.0 1.0
-				param_named phongColor float3 0.02 0.01 0.03
-				param_named_auto lightPosition light_position 0 
-				param_named lastCenter float3 0 0 0
-				param_named reflectivity float 0.15	
-			} 
-			
-			//Cube map for reflections and refractions	
-			texture_unit
-			{
-				cubic_texture cubemap.jpg combinedUVW
-				tex_address_mode clamp
-				colour_op replace
-			}
-
-			//Cube map of distances
-			texture_unit
-			{
-				cubic_texture cubemap.jpg combinedUVW
-				tex_address_mode clamp
-				colour_op replace
-			}		
-		}
-	}
-}
-
-vertex_program DiffuseVS hlsl
-{
-	source DiffuseBump.hlsl
-	entry_point DiffuseVS
-	target vs_2_0 
-} 
-
-fragment_program DiffusePS hlsl
-{
-	source DiffuseBump.hlsl
-	entry_point DiffusePS
-	target ps_3_0
-}
-
-material canvas1
-{
-	receive_shadows off
-	technique
-	{
-		pass
-		{			
-			IllumTechniques
-			{
-				RenderTechnique ReducedColorCubeMap
-				{
-					resolution		256
-					reduced_resolution	8
-					
-					update_interval		1
-					texture_unit_id		0
-					distance_calc true 2.0
-					face_angle_calc true 2.0
-					update_all_face		false
-				}
-				RenderTechnique DistanceCubeMap
-				{
-					update_interval		3
-					texture_unit_id		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}		
-				
-			}
-	      
-			vertex_program_ref DiffuseVS
-			{       
-				param_named_auto worldViewProj worldviewproj_matrix 
-    	   		param_named_auto world world_matrix
-				 param_named_auto world_IT inverse_transpose_world_matrix       
-			} 
-						
-			fragment_program_ref 	DiffusePS
-			{ 
-				param_named_auto cameraPos camera_position
-				param_named REDUCED_CUBEMAP_SIZE int 8
-				param_named lastCenter float3 0 0 0	
-				param_named_auto world_IT inverse_transpose_world_matrix
-				param_named_auto lightPosition light_position 0  				
-			} 
-			
-			
-			
-			
-			//Cube map for reflections and refractions	
-			texture_unit
-			{
-				cubic_texture 
-				tex_address_mode clamp
-				colour_op replace
-			}
-
-			//Cube map of distances
-			texture_unit
-			{
-			cubic_texture 
-			tex_address_mode clamp
-			colour_op replace
-			}
-			
-			texture_unit
-			{
-			  texture canvas.tga
-			}
-			
-			texture_unit
-			{
-			  texture canvasnormal.dds
-			}
-
-		
-		}
-	}
-}
-material lambert3
-{
-	receive_shadows off
-	technique
-	{
-		pass
-		{
-			//IllumTechniques
-			//{
-			//	RenderTechnique ColorCubeMap
-			//	{
-			//		update_interval		1
-			//		distance_calc false
-			//		face_angle_calc false
-			//		update_all_face		false
-			//	}			
-			//
-			//}
-			
-			//Cube map for reflections and refractions	
-			//texture_unit
-			//{
-			//	colour_op modulate
-			//}
-
-			ambient 0 0 0 1
-			diffuse 0 0 0 1
-			specular 0 0 0 1
-		}
-	}
-}
-material syigetelogumi
-{
-receive_shadows off
-	technique
-	{
-		pass
-		{
-			ambient 0 0 0 1
-			diffuse 0 0 0 1
-			specular 0.5 0.5 0.5 20
-			emissive 0 0 0
-		}
-	}
-}
-
-fragment_program CarMirrorPS hlsl
-{
-	source CarReflections.hlsl
-	entry_point MirrorPS
-	target ps_3_0
-}
-
-material mirror
-{
-receive_shadows off
-	technique
-	{
-		pass
-		{			
-			IllumTechniques
-			{
-				RenderTechnique ColorCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}
-				RenderTechnique DistanceCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false		
-				}
-				
-			
-			}
-			vertex_program_ref LocalizedVS
-        		{       
-           		param_named_auto worldViewProj worldviewproj_matrix 
-    	   		param_named_auto world world_matrix
-				param_named_auto worldIT inverse_transpose_world_matrix
-		    
-        		} 
-			fragment_program_ref CarMirrorPS
-			{ 
-				param_named_auto cameraPos camera_position
-				param_named lastCenter float3 0 0 0
-			} 
-			
-			//Cube map for reflections and refractions	
-			texture_unit
-			{
-				cubic_texture
-				tex_address_mode clamp
-				colour_op replace
-			}
-
-			//Cube map of distances
-			texture_unit
-			{
-				cubic_texture
-				tex_address_mode clamp
-				colour_op replace
-			}		
-		}
-	}
-}
-
-fragment_program LampGlassPS hlsl
-{
-	source CarReflections.hlsl
-	entry_point LampGlassPS
-	target ps_3_0
-}
-
-material elsolampabura
-{
-	
-	//transparency_casts_shadows on
-
-	technique
-	{
-		pass
-		{
-			IllumTechniques
-			{
-				RenderTechnique ColorCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}
-				RenderTechnique DistanceCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false		
-				}
-				
-			
-			}
-			vertex_program_ref LocalizedVS
-        		{       
-           		  param_named_auto worldViewProj worldviewproj_matrix 
-    	   		  param_named_auto world world_matrix
-			  param_named_auto worldIT inverse_transpose_world_matrix
-		    
-        		} 
-			fragment_program_ref LampGlassPS
-			{ 
-				param_named_auto cameraPos camera_position
-				param_named lastCenter float3 0 0 0
-				param_named glasColor float4 0.9 0.85 0.95 0.65
-			} 
-			
-			//Cube map for reflections and refractions	
-			texture_unit
-			{
-				cubic_texture
-				tex_address_mode clamp
-				colour_op replace
-			}
-
-			Cube map of distances
-			texture_unit
-			{
-				cubic_texture
-				tex_address_mode clamp
-				colour_op replace
-			}		
-
-			scene_blend alpha_blend
-			depth_write off
-
-			ambient 1 1 1 0.5
-			diffuse 1 1 1 0.5
-			specular 0 0 0 0
-			emissive 0 0 0
-
-			
-		}
-	}
-}
-material elsolampabelul
-{
-receive_shadows off
-
-	technique
-	{
-		pass
-		{
-			ambient 0.786016 0.968 0.878464 1
-			diffuse 0.786016 0.968 0.878464 1
-			specular 0 0 0 0
-			emissive 0 0 0
-		}
-	}
-}
-
-material hatsolampa
-{
-receive_shadows off
-transparency_casts_shadows on
-	technique
-	{
-		pass
-		{
-			IllumTechniques
-			{
-				RenderTechnique ColorCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}
-				RenderTechnique DistanceCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false		
-				}
-				
-			
-			}
-			vertex_program_ref LocalizedVS
-        		{       
-           		param_named_auto worldViewProj worldviewproj_matrix 
-    	   		param_named_auto world world_matrix
-				param_named_auto worldIT inverse_transpose_world_matrix
-		    
-        		} 
-			fragment_program_ref LampGlassPS
-			{ 
-				param_named_auto cameraPos camera_position
-				param_named lastCenter float3 0 0 0
-				param_named glasColor float4 0.9 0.1 0.0 0.7
-			} 
-			
-			//Cube map for reflections and refractions	
-			texture_unit
-			{
-				cubic_texture
-				tex_address_mode clamp
-				colour_op replace
-			}
-
-			//Cube map of distances
-			texture_unit
-			{
-				cubic_texture
-				tex_address_mode clamp
-				colour_op replace
-			}		
-
-			//scene_blend alpha_blend
-			//depth_write off
-		}
-	}
-}
-material hatso_lampa_belso
-{
-receive_shadows off
-
-	technique
-	{
-		pass
-		{
-			ambient 0.1 0.1 0.1 1
-			diffuse 1 1 1 1
-			specular 0 0 0 0
-			emissive 0.2 0.2 0.2
-
-			//texture_unit
-			//{
-			//	texture lampahatul.jpg
-			//}
-		}
-	}
-}
-
-material index
-{
-receive_shadows off
-
-	technique
-	{
-		pass
-		{
-			IllumTechniques
-			{
-				RenderTechnique ColorCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}
-				RenderTechnique DistanceCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false		
-				}
-				
-			
-			}
-			vertex_program_ref LocalizedVS
-        		{       
-           		param_named_auto worldViewProj worldviewproj_matrix 
-    	   		param_named_auto world world_matrix
-				param_named_auto worldIT inverse_transpose_world_matrix
-		    
-        		} 
-			fragment_program_ref MetallicReflector
-			{ 
-				param_named_auto cameraPos camera_position
-				param_named F0 float3 2.0 1.0 0.2
-				param_named_auto lightPosition light_position 0 
-				param_named lastCenter float3 0 0 0
-				param_named reflectivity float 0.6	
-			} 
-			
-			//Cube map for reflections and refractions	
-			texture_unit
-			{
-				cubic_texture cubemap.jpg combinedUVW
-				tex_address_mode clamp
-				colour_op replace
-			}
-
-			//Cube map of distances
-			texture_unit
-			{
-				cubic_texture cubemap.jpg combinedUVW
-				tex_address_mode clamp
-				colour_op replace
-			}		
-		}
-	}
-}
-
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle.material
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/scripts/bottle.material	(revision 1049)
+++ 	(revision )
@@ -1,314 +1,0 @@
-vertex_program BottleVS hlsl
-{
-	source bottle.hlsl
-	entry_point BottleVS
-	target vs_2_0 
-} 
-
-fragment_program BottlePS hlsl
-{
-	source bottle.hlsl
-	entry_point BottlePS
-	target ps_3_0
-}
-
-fragment_program BottlePhotonMapPS hlsl
-{
-	source bottle.hlsl
-	entry_point BottlePhotonMapPS
-	target ps_3_0
-}
-
-material bottle
-{
-
-transparency_casts_shadows on
-
-	technique
-	{
-		pass
-		{
-			IllumTechniques
-			{
-				RenderTechnique ColorCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}
-				RenderTechnique DistanceCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}
-				RenderTechnique CausticCaster
-				{
-					attenuation 5.0
-					update_all_face		false
-					photonmap_resolution	128
-					photon_map_material BottlePhotonMap
-					caustic_map_material BottleCauMap
-				}
-				
-			}
-	      
-	      
-			vertex_program_ref BottleVS
-			{       
-					param_named_auto worldViewProj worldviewproj_matrix 
-    				param_named_auto world world_matrix 
-				param_named_auto worldIT inverse_transpose_world_matrix
-			} 
-			fragment_program_ref BottlePS
-			{ 
-				param_named_auto cameraPos camera_position
-				param_named_auto lightPosition light_position 0
-				param_named color float3 0.65 0.4 0.2
-			} 
-				
-			//Cube map for reflections and refractions	
-			texture_unit
-			{
-			cubic_texture cubemap.jpg combinedUVW
-			tex_address_mode clamp
-			colour_op replace
-			}
-
-			//Cube map of distances
-			texture_unit
-			{
-			cubic_texture cubemap.jpg combinedUVW
-			tex_address_mode clamp
-			colour_op replace
-			}
-
-
-			
-		}
-	}
-}
-
-
-material bottle2
-{
-
-transparency_casts_shadows on
-	technique
-	{
-		pass
-		{
-			IllumTechniques
-			{
-				RenderTechnique ColorCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}
-				RenderTechnique DistanceCubeMap
-				{
-					update_interval		1
-					distance_calc false
-					face_angle_calc false
-					update_all_face		false
-				}
-				RenderTechnique CausticCaster
-				{
-					attenuation 8.0
-					update_all_face		false
-					photonmap_resolution	128
-					photon_map_material Bottle2PhotonMap
-					caustic_map_material Bottle2CauMap
-				}
-				
-			}
-	      
-	      
-			vertex_program_ref BottleVS
-			{       
-					param_named_auto worldViewProj worldviewproj_matrix 
-    				param_named_auto world world_matrix 
-				param_named_auto worldIT inverse_transpose_world_matrix
-			} 
-			fragment_program_ref BottlePS
-			{ 
-				param_named_auto cameraPos camera_position
-				param_named_auto lightPosition light_position 0
-				param_named color float3 0.2 0.65 0.2
-			} 
-				
-			//Cube map for reflections and refractions	
-			texture_unit
-			{
-			cubic_texture cubemap.jpg combinedUVW
-			tex_address_mode clamp
-			colour_op replace
-			}
-
-			//Cube map of distances
-			texture_unit
-			{
-			cubic_texture cubemap.jpg combinedUVW
-			tex_address_mode clamp
-			colour_op replace
-			}
-
-
-			
-		}
-	}
-}
-
-
-material BottlePhotonMap
-{ 
-   technique 
-   { 
-
-   	pass 
-      { 
-		 vertex_program_ref BottleVS
-         {       
-            param_named_auto worldViewProj worldviewproj_matrix 
-    	    param_named_auto world world_matrix
-			param_named_auto worldIT inverse_transpose_world_matrix    
-         } 
-		 fragment_program_ref  BottlePhotonMapPS
-        { 
-			param_named_auto cameraPos camera_position
-			param_named lastCenter float3 0 0 0
-			
-         }
-         
-         //Cube map for reflections and refractions	
-		texture_unit
-		{
-			cubic_texture 
-			filtering none
-			//tex_address_mode clamp			
-		}	
-
-       }
-    }
-}
-
-material Bottle2PhotonMap
-{ 
-   technique 
-   { 
-
-   	pass 
-      { 
-		 vertex_program_ref BottleVS
-         {       
-            param_named_auto worldViewProj worldviewproj_matrix 
-    	    param_named_auto world world_matrix
-			param_named_auto worldIT inverse_transpose_world_matrix    
-         } 
-		 fragment_program_ref  BottlePhotonMapPS
-        { 
-			param_named_auto cameraPos camera_position
-			param_named lastCenter float3 0 0 0
-			
-         }
-         
-         //Cube map for reflections and refractions	
-		texture_unit
-		{
-			cubic_texture 
-			filtering none
-			//tex_address_mode clamp			
-		}	
-
-       }
-    }
-}
-
-material BottleCauMap
-{ 
-   technique 
-   { 
-   	pass 
-      
-		cull_hardware none
-		cull_software none
-		lighting off
-		scene_blend add
-		scene_blend src_alpha one
-		depth_write off
-		point_sprites on
-
-		vertex_program_ref GameTools/CauVS
-         {       
-            param_named_auto worldViewProj worldviewproj_matrix 
-            param_named_auto worldView worldview_matrix
-			param_named_auto Proj projection_matrix
-			param_named_auto resolution viewport_width
-			param_named CauSpriteSize float 11.0	    
-         } 
-		fragment_program_ref  GameTools/CauPS
-        { 
-			param_named CauSpriteIntens float 0.11
-			param_named color float3 0.65 0.4 0.2
-		 }
-         
-	    texture_unit
-		{
-			vertex_texture true
-			texture flare.png
-		}
-		texture_unit
-		{
-			texture PowerOfPhotonHitTexel.dds
-		}
-
-       }
-    }
-}
-
-material Bottle2CauMap
-{ 
-   technique 
-   { 
-   	pass 
-      
-		cull_hardware none
-		cull_software none
-		lighting off
-		scene_blend add
-		scene_blend src_alpha one
-		depth_write off
-		point_sprites on
-
-		vertex_program_ref GameTools/CauVS
-         {       
-            param_named_auto worldViewProj worldviewproj_matrix 
-            param_named_auto worldView worldview_matrix
-			param_named_auto Proj projection_matrix
-			param_named_auto resolution viewport_width
-			param_named CauSpriteSize float 11.0	    
-         } 
-		fragment_program_ref  GameTools/CauPS
-        { 
-			param_named CauSpriteIntens float 0.10
-			param_named color float3 0.2 0.65 0.2
-		 }
-         
-	    texture_unit
-		{
-			vertex_texture true
-			texture flare.png
-		}
-		texture_unit
-		{
-			texture PowerOfPhotonHitTexel.dds
-		}
-
-       }
-    }
-}
-
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/GameTools_Localized_EnvMap.hlsl
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/GameTools_Localized_EnvMap.hlsl	(revision 1049)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/GameTools_Localized_EnvMap.hlsl	(revision 2451)
@@ -1,2 +1,5 @@
+//#define EFFECTS
+//#define LOCALIZATION
+
 //metal:
 float3 n, k;	// R 700 nm, G 550 nm, B 435 nm 
@@ -160,11 +163,17 @@
 	float3 mPos = wPos - lastCenter;
 	float3 V = normalize(wPos - cameraPos);
+
 	float3 R = normalize(reflect( V, mNormal));
 		
+#ifdef EFFECTS
 	newTexCoord = R;	
-	
+#ifdef LOCALIZATION
 	newTexCoord = Hit(mPos, R, DistanceMap);
+#endif
 	Color = readCubeMap(CubeMap, newTexCoord );
-	
+#else
+	Color = 1;	
+#endif
+
 	//Color = float4(mNormal + lastCenter.x*0.0000001, 1);	
 	
@@ -185,6 +194,5 @@
 	}	
 	
-	Color = Color * float4(F,1);
-	
+	Color = Color * float4(F,1);	
 	//Color = length(lastCenter.xyz) * 0.1;
 }
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/bottle.hlsl
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/bottle.hlsl	(revision 1049)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/bottle.hlsl	(revision 2451)
@@ -1,2 +1,5 @@
+//#define EFFECT
+//#define LOCALIZATION
+
 float4 readCubeMap(samplerCUBE cm, float3 coord)		
 {
@@ -50,10 +53,10 @@
 		uniform float4x4 worldViewProj,
 		uniform float4x4 world,
-		uniform float4x4 worldIT)
+		uniform float4x4 worldI)
 {
  
   hPos = mul(worldViewProj, position);
   wPos = mul(world, position).xyz;  
-  mNormal = mul(normal, worldIT);
+  mNormal = mul(normal, worldI);
  // mNormal = normal;
   otexCoord = texCoord;
@@ -81,5 +84,7 @@
 	float3 mPos = wPos - lastCenter;
 	float3 V = normalize(wPos - cameraPos);
-	float3 R = normalize(reflect( V, mNormal));
+
+#ifdef EFFECT
+		float3 R = normalize(reflect( V, mNormal));
 	
 	float3 T =  normalize(refract(V, mNormal, 0.9));
@@ -87,6 +92,8 @@
 	RR = R;	TT = T;	
 	
+	#ifdef LOCALIZATION
 	RR = Hit(mPos, R, DistanceMap);
 	TT = Hit(mPos, T, DistanceMap);
+	#endif
 	
 	float4 reflectcolor = readCubeMap(CubeMap, RR );		
@@ -98,5 +105,7 @@
 
 	Color = (F * reflectcolor + (1-F) * refractcolor * float4(color,1)) ;
-	
+#else
+	Color = float4(color, 1);
+#endif
 	half3 light = lightPosition; 
 	V = -V;
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/CarReflections.hlsl
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/CarReflections.hlsl	(revision 1049)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/CarReflections.hlsl	(revision 2451)
@@ -1,2 +1,5 @@
+//#define EFFECTS
+//#define LOCALIZATION
+
 float3 F0;
 
@@ -52,10 +55,10 @@
 		uniform float4x4 worldViewProj,
 		uniform float4x4 world,
-		uniform float4x4 worldIT)
+		uniform float4x4 worldI)
 {
  
   hPos = mul(worldViewProj, position);
   wPos = mul(world, position).xyz;  
-  mNormal = mul(normal, worldIT);
+  mNormal = mul(normal, worldI);
   //mNormal *=-1;
  //mNormal = normal;  
@@ -84,9 +87,12 @@
 	float3 mPos = wPos - lastCenter;
 	float3 V = normalize(wPos - cameraPos);
+
+#ifdef EFFECTS
 	float3 R = normalize(reflect( V, mNormal));
 		
 	newTexCoord = R;	
-	
+#ifdef LOCALIZATION	
 	newTexCoord = Hit(mPos, R, DistanceMap);
+#endif
 	Color = readCubeMap(CubeMap, newTexCoord );	
 	
@@ -107,5 +113,5 @@
 	Color = Color * float4(F,1);
 	
-	
+#endif	
 //phong
 	
@@ -135,4 +141,5 @@
 	Color = float4(1,1,1,1);
 
+#ifdef EFFECTS
 	//metallic reflection	
 	mNormal = normalize(mNormal);
@@ -144,7 +151,9 @@
 		
 	newTexCoord = R;	
-	
+#ifdef LOCALIZATION	
 	newTexCoord = Hit(mPos, R, DistanceMap);
+#endif
 	Color = readCubeMap(CubeMap, newTexCoord );		
+#endif
 	
 }
@@ -163,4 +172,5 @@
 	Color = float4(1,1,1,1);
 
+#ifdef EFFECTS
 	//metallic reflection	
 	mNormal = normalize(mNormal);
@@ -172,8 +182,10 @@
 		
 	newTexCoord = R;	
-	
+#ifdef LOCALIZATION
 	newTexCoord = Hit(mPos, R, DistanceMap);
+#endif
 	Color = readCubeMap(CubeMap, newTexCoord );
 	Color.a = 1;
+#endif
 	Color *= glasColor;		
 	
Index: GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/DiffuseBump.hlsl
===================================================================
--- GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/DiffuseBump.hlsl	(revision 1049)
+++ GTP/trunk/App/Games/CarDriving_BME/Media/materials/programs/DiffuseBump.hlsl	(revision 2451)
@@ -1,3 +1,5 @@
-float4x4 world_IT;
+//#define EFFECTS
+
+float4x4 world_I;
 int REDUCED_CUBEMAP_SIZE = 8;
 
@@ -105,8 +107,7 @@
   hPos = mul(worldViewProj, position);
   wPos = mul(world, position).xyz;  
-  //mNormal = mul(normal, world_IT);
-  mNormal = normal;
+  mNormal = normalize(mul(normal, world_I));
   otexCoord = texCoord;
-  Tangent = tangent;  
+  Tangent = normalize(mul(tangent, world_I));  
   Binormal = cross(tangent, normal); 
 }
@@ -119,5 +120,5 @@
            uniform float3 cameraPos,
            uniform float3 lastCenter,
-           uniform half3 lightPosition,				
+           uniform half4 lightPosition,				
            uniform samplerCUBE SmallEnvMapSampler : register(s0),
            uniform samplerCUBE DistanceEnvMapSampler : register(s1),
@@ -128,4 +129,7 @@
     REDUCED_CUBEMAP_SIZE = 4;
 	
+    Tangent = normalize(Tangent);
+    N = normalize(N);
+    Binormal = normalize(Binormal);
     //V = /*-*/normalize( V );
     float3 V = normalize(pos - cameraPos);	// 
@@ -134,7 +138,5 @@
 	half3 tNormal = tex2D(NormalMap, Tex).rgb;     	
       
-    N =mul(tNormal, ModelToTangent );
-    N = mul( N, world_IT );
-    N = normalize(N);
+    N = normalize(mul(tNormal, ModelToTangent ));
     
     float3 R = reflect(V, N);
@@ -143,5 +145,5 @@
     float4 intens = 0;
     
-	
+#ifdef EFFECTS	
 	for (int x = 0; x < REDUCED_CUBEMAP_SIZE; x++)			// az envmap minden texelére
 	 for (int y = 0; y < REDUCED_CUBEMAP_SIZE; y++)
@@ -178,16 +180,23 @@
 		intens += GetContibution( L, pos, N, V, SmallEnvMapSampler, DistanceEnvMapSampler);
 	}
-	
-	half3 light = lightPosition;
+
+#endif	
+	half3 light = lightPosition.xyz;
 	half3 L = normalize(light);
-	half3 H = normalize(L + V);
+	half3 H = normalize(L - V);
 	half4 lighting = lit(dot(N, L),dot(N, H), 20);
 
 	float4 retColor = intens;
 	float4 texColor = tex2D(ColorTexture, Tex);
-	retColor = intens * texColor * 1.5
+#ifdef EFFECTS	
+	
+		retColor = intens * texColor * 1.5
 			  + lighting.y * texColor * 0.15 
 			  + lighting.z * 0.15			
 			 ;
+#else
+retColor =lighting.y * texColor
+			  + lighting.z;
+#endif
 	return retColor;
 }
